# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------
#    This file is part of WAPT
#    Copyright (C) 2013  Tranquil IT Systems http://www.tranquil.it
#    WAPT aims to help Windows systems administrators to deploy
#    setup and update applications on users PC.
#
#    WAPT is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    WAPT is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with WAPT.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------
from setuphelpers import *

uninstallkey = []


def install():

    print("installing deluge-1.3.12-1-win32-py2.6-setup")
    install_exe_if_needed("deluge-1.3.12-1-win32-py2.6-setup.exe", "/S", min_version="1.3.12-1")


def uninstall():
    print("Removing Deluge")
    run('"%s" %s ' % (makepath(programfiles32, "Deluge", "deluge-uninst.exe"), "/S"))
    wait_uninstallkey_absent("Deluge")
